<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2020 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */

namespace Pinpoint\CarouselManager\Model\Source;

use Pinpoint\CarouselManager\Helper\Config;
use Pinpoint\CarouselManager\Model\CarouselRepository;

/**
 * Class Carousel
 *
 *  Source class that can be used if a developer wanted to create a category/product attribute to pick a carousel
 */
class Carousel implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * @var CarouselRepository
     */
    private $carouselRepository;

    /**
     * CtaNumber constructor.
     * @param Config $configHelper
     */
    public function __construct(CarouselRepository $carouselRepository)
    {
        $this->carouselRepository = $carouselRepository;
    }

    /**
     * Get available options
     *
     * @codeCoverageIgnore
     * @return array
     */
    public function toOptionArray()
    {
        return $this->carouselRepository->getOptionArray();
    }
}
