<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2020 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */
namespace Pinpoint\CarouselManager\Model\Source\Slide;

/**
 * Class Style
 */
class Header implements \Magento\Framework\Option\ArrayInterface
{
    protected $styles = [
        'none' => 'None',
        'h1' => 'H1',
        'h2' => 'H2',
        'h3' => 'H3',
        'h4' => 'H4',
        'h5' => 'H5',
        'h6' => 'H6',
    ];

    /**
     * Get available options
     *
     * @codeCoverageIgnore
     * @return array
     */
    public function toOptionArray()
    {
        $options = [];

        foreach($this->styles as $i => $font) {
            $options[] = ['value' => $i, 'label' => $font];
        }

        return $options;
    }
}
